<?php
namespace Creativeanimatedlink;

use Creativeanimatedlink\PageSettings\Page_Settings;
define( "BWDAL_ASFSK_ASSETS_PUBLIC_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/public" );
define( "BWDAL_ASFSK_ASSETS_ADMIN_DIR_FILE", plugin_dir_url( __FILE__ ) . "assets/admin" );
class Classbwdalanimatedlink {

	private static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function bwdal_admin_editor_scripts() {
		add_filter( 'script_loader_tag', [ $this, 'bwdal_admin_editor_scripts_as_a_module' ], 10, 2 );
	}

	public function bwdal_admin_editor_scripts_as_a_module( $tag, $handle ) {
		if ( 'bwdal_animated_link_editor' === $handle ) {
			$tag = str_replace( '<script', '<script type="module"', $tag );
		}

		return $tag;
	}

	private function include_widgets_files() {
		require_once( __DIR__ . '/widgets/bwdal-animatedlink.php' );
	}

	public function bwdal_register_widgets() {
		// Its is now safe to include Widgets files
		$this->include_widgets_files();

		// Register WidgetsF
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\bwdalAnimatedLink());
	}

	private function add_page_settings_controls() {
		require_once( __DIR__ . '/page-settings/bwdal-animatedlink-manager.php' );
		new Page_Settings();
	}

	// Register Category
	function bwdal_add_elementor_widget_categories( $elements_manager ) {

		$elements_manager->add_category(
			'bwdal-animated-link-category',
			[
				'title' => esc_html__( 'Animated Hover Link', 'bwdal-animated-link' ),
				'icon' => 'eicon-person',
			]
		);
	}
	public function bwdal_all_assets_for_the_public(){
		$all_css_js_file = array(
            'bwdal_animatedlink_plugin_main_css' => array('bwdal_path_define'=>BWDAL_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/css/main.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdal_path_define'], null, '1.3', 'all');
        }
	}
	public function bwdal_all_assets_for_elementor_editor_admin(){
		$all_css_js_file = array(
            'bwdal_animatedlink_admin_main_css' => array('bwdal_path_admin_define'=>BWDAL_ASFSK_ASSETS_ADMIN_DIR_FILE . '/icon.css'),
        );
        foreach($all_css_js_file as $handle => $fileinfo){
            wp_enqueue_style( $handle, $fileinfo['bwdal_path_admin_define'], null, '1.3', 'all');
        }
	}

	function bwdal_animatedlink_register_required_plugins() {
		$plugins = array(
			array(
				'name'        => esc_html__('Elementor', 'bwdal-animated-link'),
				'slug'        => 'elementor',
				'is_callable' => 'wpseo_init',
			),
	
		);

		$config = array(
			'id'           => 'bwdal-animated-link',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'parent_slug'  => 'plugins.php',
			'capability'   => 'manage_options',
			'has_notices'  => true,
			'dismissable'  => true,
			'dismiss_msg'  => '',
			'is_automatic' => false,
			'message'      => '',
		);
	
		tgmpa( $plugins, $config );
	}
	
	public function __construct() {
		// For tgm plugin activation
		add_action( 'tgmpa_register', [$this, 'bwdal_animatedlink_register_required_plugins'] );

		// For public assets
		add_action('wp_enqueue_scripts', [$this, 'bwdal_all_assets_for_the_public']);

		// For Elementor Editor
		add_action('elementor/editor/before_enqueue_scripts', [$this, 'bwdal_all_assets_for_elementor_editor_admin']);
		
		// Register Category
		add_action( 'elementor/elements/categories_registered', [ $this, 'bwdal_add_elementor_widget_categories' ] );

		// Register widgets
		add_action( 'elementor/widgets/widgets_registered', [ $this, 'bwdal_register_widgets' ] );

		// Register editor scripts
		add_action( 'elementor/editor/after_enqueue_scripts', [ $this, 'bwdal_admin_editor_scripts' ] );
		
		$this->add_page_settings_controls();
	}
}

// Instantiate Plugin Class
Classbwdalanimatedlink::instance();